package com.company.treedatagridsum.entity;

import io.jmix.core.entity.annotation.JmixGeneratedValue;
import io.jmix.core.metamodel.annotation.InstanceName;
import io.jmix.core.metamodel.annotation.JmixEntity;
import jakarta.persistence.*;

import java.util.UUID;

@JmixEntity
@Table(name = "SUM_BALANCE_SHEET", indexes = {
        @Index(name = "IDX_SUM_BALANCE_SHEET_PARENT_HEAD", columnList = "PARENT_HEAD_ID")
})
@Entity(name = "sum_BalanceSheet")
public class BalanceSheet {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    private UUID id;

    @InstanceName
    @Column(name = "NAME")
    private String name;

    @JoinColumn(name = "PARENT_HEAD_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    private BalanceSheet parentHead;

    @Column(name = "AMOUNT_CY")
    private Double amountCy;

    public Double getAmountCy() {
        return amountCy;
    }

    public void setAmountCy(Double amountCy) {
        this.amountCy = amountCy;
    }

    public BalanceSheet getParentHead() {
        return parentHead;
    }

    public void setParentHead(BalanceSheet parentHead) {
        this.parentHead = parentHead;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }
}